This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 600322 - Deploying an application throws "already exists" error but deploy succeeds
Deploying an application throws "already exists" error but deploy succeeds
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3.1
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Filip Drabek
Rajan Timaniya
:
Depends On:
Blocks: 725852 jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-04 08:49 EDT by dsteigne
Modified: 2013-09-03 12:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-06-04 08:49:37 EDT
Description of problem:

The following error occurs while deploying an application via JON

org.rhq.plugins.jbossas.helper.MainDeployer$DeployerException:Failed to deploy /usr/local/jboss/jboss-eap-4.3/jboss-as/server/default/deploy/gdma.war -> org.mc4j.ems.connection.EmsInvocationException:Exception on invocation of [deploy]org.mc4j.ems.connection.EmsConnectException: Connection failure null -> org.mc4j.ems.connection.EmsConnectException:Connection failure null -> javax.management.MBeanException:null -> org.jboss.deployment.DeploymentException:Failed to create web module; - nested throwable: (javax.management.InstanceAlreadyExistsException: jboss.web.deployment:war=gdma.war,id=1696074832 already registered.) -> javax.management.InstanceAlreadyExistsException:jboss.web.deployment:war=gdma.war,id=1696074832 already registered.

However the application was deployed correctly.
Comment 1 Filip Drabek 2010-07-01 08:16:23 EDT
I can not reproduce this problem. / change priority to medium/
Comment 2 Corey Welton 2010-09-24 08:53:51 EDT
QA: please try to repro in 2.4 against eap 4.3.
Comment 3 Rajan Timaniya 2010-10-01 01:07:07 EDT
Verified on JON 2.4 and database postgres 8.4.2

Application (war) deployed on JBoss-eap 4.3 using JON 2.4 without any error/exception. 

Server log:
2010-10-01 10:30:01,927 INFO  [org.rhq.enterprise.gui.common.upload.FileUploadUIBean] A file named [shopzilla.war] with a size of [12350733] has been uploaded to [/tmp/4a62d992-12b6461248c-3c332106519936758969620.upload]
2010-10-01 10:30:07,647 WARN  [org.jboss.seam.ui.renderkit.DefaultActionRendererBase] Must set an id for the default action source
2010-10-01 10:30:39,087 INFO  [org.rhq.enterprise.server.resource.ResourceFactoryManagerBean] Received call to create package backed resource under parent [11561]
2010-10-01 10:30:46,674 INFO  [org.rhq.enterprise.server.resource.ResourceFactoryServerServiceImpl] Received create resource response: CreateResourceResponse[RequestId=10001, Status=Success]
2010-10-01 10:31:11,024 INFO  [org.rhq.enterprise.server.discovery.DiscoveryServerServiceImpl] Processed AV:[rajantest.usersys.redhat.com][1538][full] - need full=[false] in (515)ms

2010-10-01 10:33:14,867 INFO  [org.rhq.enterprise.server.discovery.DiscoveryServerServiceImpl] Processed AV:[rajantest.usersys.redhat.com][1563][full] - need full=[false] in (588)ms
2010-10-01 10:33:23,820 INFO  [org.rhq.enterprise.server.cloud.instance.CacheConsistencyManagerBean] rajantest.usersys.redhat.com took [48]ms to reload cache for 1 agents
2010-10-01 10:36:17,108 INFO  [org.rhq.enterprise.server.discovery.DiscoveryServerServiceImpl] Processed AV:[rajantest.usersys.redhat.com][1563][full] - need full=[false] in (520)ms
2010-10-01 10:37:34,027 INFO  [org.rhq.enterprise.server.discovery.DiscoveryServerServiceImpl] Processed AV:[rajantest.usersys.redhat.com][1589][full] - need full=[false] in (529)ms
Comment 6 Heiko W. Rupp 2013-09-03 12:56:15 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.